cancel
Showing results for 
Search instead for 
Did you mean: 

Will not update, cannot use the web because your update keeps popping up

Highlighted

Will not update, cannot use the web because your update keeps popping up

Not sure what further information you need. The update has not installed and your system will not let me utilize the internet.

6 REPLIES
Mozilla Support Contributor

Re: Will not update, cannot use the web because your update keeps popping up

This site detected your Firefox version as 3.5.19, which seems too old to be correct. Can you check Help > About Firefox to see what version you're actually running?

You can always get a new installer and do the upgrade manually. You might want to make a backup of your personal settings folder (AKA your Firefox profile folder) first in case there are difficulties:

Mozilla Support Contributor

Re: Will not update, cannot use the web because your update keeps popping up

If you have the current version, i.e., Firefox 14.0.1, check this article to correct the version your browser is reporting to websites: Websites say that Firefox is outdated or incompatible even though it's the latest version.

Re: Will not update, cannot use the web because your update keeps popping up

It worked thank you. HATE THE NEW VERSION. Do not like the set up, it is slower and harder to use.

Mozilla Support Contributor

Re: Will not update, cannot use the web because your update keeps popping up

Did you just switch from Firefox 3.6? The Firefox UI is very customizable, so you can restore most of the earlier appearance. If you don't find what you need on the menus (press Alt+v to open the classic View menu to turn toolbars on/off and customize them) please feel free to post specific questions.

I'm not sure about slower. A lot of parts test much faster, but perhaps it depends on the sites you visit and your PC.

Site Moderator

Re: Will not update, cannot use the web because your update keeps popping up

If you won't update, there i very little we can do to help you. Firefox 3.5 was released in 2009, and was dropped from support many years ago. This means it is both unstable and HIGHLY insecure.

As for the speed of Firefox 14, many tests show to to be 7-10 times faster than Firefox 3.5. It uses less RAM, and utilizes your computer's available resources much more intelligently.

However, if the reason you don't want to update is because you don't like the look of Firefox 14, you can very very easily change the look to be almost exactly like 3.5, but still be secure. So I highly recommend you do that. You can try installing something like https://addons.mozilla.org/en-US/firefox/addon/luddite-ui/ which allows you to use presets to customize your interface.

Site Moderator

Re: Will not update, cannot use the web because your update keeps popping up

You also miss out on HTML5 support, so websites that use it and rely on it won't work properly.